Bug 142954 - sata_sx4 4GB problem
sata_sx4 4GB problem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-12-15 07:03 EST by Dirk Gfroerer
Modified: 2013-07-02 22:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of kernel while booting machine (10.30 KB, text/plain)
2004-12-16 03:09 EST, Dirk Gfroerer
no flags Details
Capture from console 4 drive not detected (1) (119.03 KB, image/jpeg)
2004-12-16 03:15 EST, Dirk Gfroerer
no flags Details
Capture from console 4 drive not detected (2) (105.20 KB, image/jpeg)
2004-12-16 03:16 EST, Dirk Gfroerer
no flags Details
Capture from console 4 one drive detected (116.50 KB, image/jpeg)
2004-12-16 03:19 EST, Dirk Gfroerer
no flags Details
EMail from John Hull about the onboard controller (4.56 KB, text/plain)
2005-01-22 14:49 EST, Dirk Gfroerer
no flags Details

  None (edit)
Description Dirk Gfroerer 2004-12-15 07:03:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
I'm trying to install RHEL 3 U3 on a new PowerEdge 1800 with two Intel
Xeon 64EMT processors and 4GB RAM. The onboard SATA controller is not
supported by RHEL so we added a Promise FastTrack S-ATA S150 SX4-M
controller to the machine. Unfortunately the two 160GB Maxtor drives
are not detected when booting with the x86_64 CD. The drives get
properly detected when booting the "normal" x86 CD.

Version-Release number of selected component (if applicable):
kernel-2.4.20

How reproducible:
Always

Steps to Reproduce:
1. Insert RHEL U3 Boot CD for x86_64
2. Wait for boot process to complete

    

Actual Results:  Drives are not detected.

Expected Results:  Drives are detected and OS can be installed.

Additional info:

I've written down the messages from the console (so there might be typos)
<7> libata version 1.02 loaded
<3> Local DIMM ECC Enabled
<6> ata1: SATA max UDMA/133 cmd 0xFFFFFF0000134200 ctl
0xFFFFFF0000134238 bmdmx0 irq64
<6> ata2: SATA max UDMA/133 cmd 0xFFFFFF0000134200 ctl
0xFFFFFF0000134238 bmdmx0 irq64
<6> ata3: SATA max UDMA/133 cmd 0xFFFFFF0000134200 ctl
0xFFFFFF0000134238 bmdmx0 irq64
<6> ata4: SATA max UDMA/133 cmd 0xFFFFFF0000134200 ctl
0xFFFFFF0000134238 bmdmx0 irq64
<7> ata1: dev0 cfg 49:0000 82:0000 82:0000 84:0000 85:0000 86:0000
87:0000 88:0000
<7> ata1: no dma/lba
<4> ata1: dev0 not supported, ignoring
<7> ata2: dev0 cfg 49:0000 82:0000 82:0000 84:0000 85:0000 86:0000
87:0000 88:0000
<7> ata2: no dma/lba
<4> ata2: dev0 not supported, ignoring
<4> ATA: abnormal status 0x7F on port 0XFFFFFF000013431C
<4> ATA: abnormal status 0x7F on port 0XFFFFFF000013439C
Comment 1 Dirk Gfroerer 2004-12-15 09:18:15 EST
Error also exists for Red Hat Enterprise Linux 4 Beta 2.
Booting the machine with noapic showed one of the two drives on one
boot. However this is not reproducible.
Comment 4 Dirk Gfroerer 2004-12-16 03:09:27 EST
Created attachment 108673 [details]
Output of kernel while booting machine

I've redirected the console to a serial port and captured the output.
Comment 5 Dirk Gfroerer 2004-12-16 03:15:41 EST
Created attachment 108674 [details]
Capture from console 4 drive not detected (1)

The machine is equipped with a Remote Management Card. I've saved the output of
the console which appears when pressing CTRL+ALT+F4. This is the first part of
a boot with the drives not being detected (without all the typos I've made
yesterday :-).
Comment 6 Dirk Gfroerer 2004-12-16 03:16:40 EST
Created attachment 108675 [details]
Capture from console 4 drive not detected (2)
Comment 7 Dirk Gfroerer 2004-12-16 03:19:19 EST
Created attachment 108676 [details]
Capture from console 4 one drive detected

Another screen shot from the DRAC card. This time one of the two drives was
detected.
Comment 9 Dirk Gfroerer 2004-12-17 12:42:37 EST
Today we've replaced the Promise card by an Adaptec Serial ATA RAID
1210SA (Sil3112). Didn't make much of a difference. The drives were
detected by the card's BIOS but the kernel hung and reported lost
interrupts while initializing the disks. By the way. This are Maxtor
6Y160M0 drives.
We've also put the card (this time the Promise) and one disk into an
old Dell PC (Pentium III class). Here the card and disk were
initialized just fine.
We've also moved the card around. For the initial report the card was
placed into the 64 Bit 66MHz slot. We then removed the DRAC card and
put it into the 33 Bit 33MHz slot. Finally we tried it in one of the
PCI-X slots of the machine. Also didn't make a difference.
Comment 10 Dirk Gfroerer 2005-01-22 14:47:08 EST
So I was wrong on the onboard SATA controller not being supported by
Red Hat. It is not a proprietary Adaptec Model (as it claims while
booting) but an Intel ICH5R. The problem with this controller is, that
it doesn't detect the drives properly if the machine has >= 4GB RAM. I
would really appreciate it, if the next errata kernel would contain
the fix provided by John Hull from Dell.
But the question remains if the sata_sx4 suffers from a similar problem?
Comment 11 Dirk Gfroerer 2005-01-22 14:49:48 EST
Created attachment 110093 [details]
EMail from John Hull about the onboard controller
Comment 12 Dirk Gfroerer 2005-01-23 05:04:49 EST
O.k. I've readded the Promise FastTrack S-ATA S150 SX4-M to the
machine and attached the two SATA disks to it. Added mem=2048M to the
/etc/grub.conf and powered on the machine. Now the drives get detected
properly and I'm just copying several gigabytes of data to the disks.
So it seems like there's also an issue in the sata_sx4 module (or in
the base SATA libraries?) if the machine has >= 4GB of RAM.
Comment 13 Jeff Garzik 2005-02-18 01:23:28 EST

*** This bug has been marked as a duplicate of 132848 ***
Comment 14 Ernie Petrides 2005-02-25 20:31:49 EST
A fix for this problem was committed to the RHEL3 U5 patch
pool on 14-Feb-2005 (in kernel version 2.4.21-27.13.EL).
Comment 15 Tim Powers 2005-05-18 09:28:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.